Author: David Kunz <david.kunz@dknet.ch>
Description: Adding condition to run service.

diff -Naurp icingaweb2-module-director.orig/contrib/systemd/icinga-director.service icingaweb2-module-director/contrib/systemd/icinga-director.service
--- icingaweb2-module-director.orig/contrib/systemd/icinga-director.service
+++ icingaweb2-module-director/contrib/systemd/icinga-director.service
@@ -2,6 +2,7 @@
 Description=Icinga Director - Monitoring Configuration
 Documentation=https://icinga.com/docs/director/latest/
 Wants=network.target
+ConditionPathExists=/usr/share/icingaweb2/modules/director/
 
 [Service]
 EnvironmentFile=-/etc/sysconfig/icinga-director
